Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceData.cs	(revision 369)
@@ -0,0 +1,423 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求書削除データアクセスクラス
+    /// </summary>
+    public class IORemInvoiceData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            InvoiceNo = 0,
+            RemPerson,
+            RemDate,
+            RemComment,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORemInvoiceData()
+                : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+
+        #region SELECT　SQL作成
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("SELECT ");
+
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}", strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                strcmd.Append(" FROM RemInvoiceData");
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ検索(１件取得)
+        /// <summary>
+        /// 請求書削除データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref RemInvoiceData data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ検索(複数件取得)
+        /// <summary>
+        /// 請求書削除データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<RemInvoiceData> data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RemInvoiceData work = new RemInvoiceData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ１件追加
+        /// <summary>
+        /// 請求書削除データ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(RemInvoiceData data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("INSERT INTO RemInvoiceData");
+
+                strcmd.Append("(");
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                strcmd.AppendFormat(" {0}", data.InvoiceNo);
+                strcmd.AppendFormat(", {0}", data.RemPerson);
+                strcmd.AppendFormat(", DATE('{0}')", data.RemDate.ToShortDateString());
+                strcmd.AppendFormat(",'{0}'", data.RemComment);
+
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ複数追加
+        /// <summary>
+        /// 請求書削除データ複数追加
+        /// </summary>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<RemInvoiceData> data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO RemInvoiceData");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                bool bDataFirst = true;
+                foreach (RemInvoiceData work in data)
+                {
+                    if (!bDataFirst) strcmd.Append(", (");
+
+                    strcmd.AppendFormat(" {0}", work.InvoiceNo);
+                    strcmd.AppendFormat(", {0}", work.RemPerson);
+                    strcmd.AppendFormat(", {0}", work.RemDate);
+                    strcmd.AppendFormat(",'{0}'", work.RemComment);
+
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
+
+                    bDataFirst = false;
+                }
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ更新
+        /// <summary>
+        /// 請求データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求書削除データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, RemInvoiceData data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("UPDATE RemInvoiceData");
+
+                strcmd.Append(" SET");
+
+                strcmd.AppendFormat(" InvoiceNo = {0}", data.InvoiceNo);
+                strcmd.AppendFormat(", RemPerson = {0}", data.RemPerson);
+                strcmd.AppendFormat(", RemDate = {0}", data.RemDate);
+                strcmd.AppendFormat(", RemComment = '{0}'", data.RemComment);
+
+                strcmd.Append(", UpdateDate = NOW()");
+
+                strcmd.Append(AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除データ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RemInvoiceData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region MySQLDataReaderより構造体へセットする
+        /// <summary>
+        /// MySQLDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">MySQLDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref RemInvoiceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
+                wrk.RemPerson = int.Parse(objwrk[(int)NameColumn.RemPerson].ToString());
+                wrk.RemDate = DateTime.Parse(objwrk[(int)NameColumn.RemDate].ToString());
+                wrk.RemComment = objwrk[(int)NameColumn.RemComment].ToString();
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref RemInvoiceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = 0;
+                wrk.RemPerson = 0;
+                wrk.RemDate = DateTime.Today;
+                wrk.RemComment = string.Empty;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="InvoiceNo">請求書No</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int InvoiceNo)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where InvoiceNo = {0}", InvoiceNo.ToString());
+
+                return strWork.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+    }
+
+}
+
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceDataDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IORemInvoiceDataDetail.cs	(revision 369)
@@ -0,0 +1,420 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Collections;
+
+using log4net;
+using MySql.Data.MySqlClient;
+
+using ProcessManagement.DB.MySql;
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 請求書削除明細データアクセスクラス
+    /// </summary>
+    public class IORemInvoiceDataDetail : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// 請求データフィールド並び
+        /// </summary>
+        public enum NameColumn
+        {
+            InvoiceNo = 0,
+            SeqNo,
+            RequestNo,
+            EntryDate,
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="connectionString"></param>
+        public IORemInvoiceDataDetail()
+                : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+
+        #region SELECT　SQL作成
+        private string CreateSelectSQL()
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append("SELECT ");
+
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}, '%Y/%m/%d %H:%i:%s')", strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}", strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                strcmd.Append(" FROM RemInvoiceDataDetail");
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ検索(１件取得)
+        /// <summary>
+        /// 請求書削除明細データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref RemInvoiceDataDetail data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ検索(複数件取得)
+        /// <summary>
+        /// 請求書削除明細データ検索(複数件取得)
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool SelectAction(string AddSQLString, ref List<RemInvoiceDataDetail> data, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
+
+                // SQL実行
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    RemInvoiceDataDetail work = new RemInvoiceDataDetail();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ１件追加
+        /// <summary>
+        /// 請求書削除明細データ１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool InsertAction(RemInvoiceDataDetail data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("INSERT INTO RemInvoiceDataDetail");
+
+                strcmd.Append("(");
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                strcmd.AppendFormat(" {0}", data.InvoiceNo);
+                strcmd.AppendFormat(", {0}", data.SeqNo);
+                strcmd.AppendFormat(", {0}", data.RequestNo);
+
+                strcmd.Append(", NOW()");
+                strcmd.Append(", NOW()");
+                strcmd.Append(")");
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ複数追加
+        /// <summary>
+        /// 請求書削除明細データ複数追加
+        /// </summary>
+        /// <param name="data">請求データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(List<RemInvoiceDataDetail> data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                bool bColFirst = true;
+                strcmd.Append("INSERT INTO RemInvoiceDataDetail");
+                strcmd.Append(" (");
+                foreach (var gender in Enum.GetValues(typeof(NameColumn)))
+                {
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
+                    bColFirst = false;
+                }
+                strcmd.Append(") VALUES (");
+
+                bool bDataFirst = true;
+                foreach (RemInvoiceDataDetail work in data)
+                {
+                    if (!bDataFirst) strcmd.Append(", (");
+
+                    strcmd.AppendFormat(" {0}", work.InvoiceNo);
+                    strcmd.AppendFormat(", {0}", work.SeqNo);
+                    strcmd.AppendFormat(", {0}", work.RequestNo);
+
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
+
+                    bDataFirst = false;
+                }
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ更新
+        /// <summary>
+        /// 請求データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">請求書削除明細データ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, RemInvoiceDataDetail data, bool bConnect = true)
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+
+                strcmd.Append("UPDATE RemInvoiceDataDetail");
+
+                strcmd.Append(" SET");
+
+                strcmd.AppendFormat(" InvoiceNo = {0}", data.InvoiceNo);
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);
+                strcmd.AppendFormat(", RequestNo = {0}", data.RequestNo);
+
+                strcmd.Append(", UpdateDate = NOW()");
+
+                strcmd.Append(AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求書削除明細データ削除
+        /// <summary>
+        /// 請求データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            // インターフェース
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM RemInvoiceDataDetail", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return false;
+            }
+        }
+        #endregion
+
+        #region MySQLDataReaderより構造体へセットする
+        /// <summary>
+        /// MySQLDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">MySQLDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref RemInvoiceDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = int.Parse(objwrk[(int)NameColumn.InvoiceNo].ToString());
+
+                wrk.SeqNo = int.Parse(objwrk[(int)NameColumn.SeqNo].ToString());
+                wrk.RequestNo = int.Parse(objwrk[(int)NameColumn.RequestNo].ToString());
+
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref RemInvoiceDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.InvoiceNo = 0;
+                wrk.SeqNo = 0;
+                wrk.RequestNo = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 主キー検索の文字列を返す
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="InvoiceNo">請求書No</param>
+        /// <returns>Where文字列</returns>
+        public string CreatePrimarykeyString(int InvoiceNo, int SeqNo = 0)
+        {
+            StringBuilder strWork = new StringBuilder();
+            try
+            {
+                strWork.AppendFormat(" Where InvoiceNo = {0}", InvoiceNo);
+                if (SeqNo > 0)
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
+
+                return strWork.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+    }
+
+}
+
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(revision 368)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/InvoiceData.cs	(revision 369)
@@ -11,6 +11,24 @@
     /// </summary>
     public class InvoiceData
     {
+        #region 定数
+        public enum CompleteFlgDef
+        {
+            /// <summary>
+            /// 削除済み
+            /// </summary>
+            Deleted = -1,
+            /// <summary>
+            /// 未印刷
+            /// </summary>
+            NoPrint = 0,
+            /// <summary>
+            /// 印刷済み
+            /// </summary>
+            Printed,
+        }
+        #endregion
+
         #region メンバ変数
         private int         m_InvoiceNo = 0;                    // 請求書No
         private int         m_OrderersDivision = 0;             // 発注者区分
